Bug 717741 - Review Request: VMDKstream - Python tool to convert raw disk images to stream-optimized VMDK files
Summary: Review Request: VMDKstream - Python tool to convert raw disk images to stream...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ryan Rix
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-06-29 18:32 UTC by Chris Lalancette
Modified: 2013-08-30 00:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-07 13:16:16 UTC
ry: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Chris Lalancette 2011-06-29 18:32:02 UTC
Spec URL: http://people.redhat.com/clalance/VMDKstream/VMDKstream.spec

SRPM URL: http://people.redhat.com/clalance/VMDKstream/VMDKstream-0.2-1.fc14.src.rpm


Description:
While adding support for VMWare ESX/vSphere to the Image Factory project
we discovered that we needed to support the "stream-optimized" variant
of VMDK.

This module is a first draft attempt to do so.

It is known to work on ESXi 4.1.

This format is only useful if you are attempting to import virtual machines
into ESX using the vSphere SOAP API and HTTP POST uploads of image files.
(In which case, it is required.)



[clalance@localhost SPECS]$ rpmlint ../SRPMS/VMDKstream-0.2-1.fc14.src.rpm
VMDKstream.src: W: spelling-error %description -l en_US vSphere -> v Sphere, sphere, spherule
VMDKstream.src: W: invalid-url Source0: VMDKstream-0.2.tar.gz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
[clalance@localhost SPECS]$ rpmlint VMDKstream.spec
VMDKstream.spec: W: invalid-url Source0: VMDKstream-0.2.tar.gz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

(upstream VMDKstream doesn't do tarball releases, so there is no URL to point to for the source)

Comment 1 Ryan Rix 2011-07-05 20:20:34 UTC
I'll give this one a review, shortly.

Comment 2 Ryan Rix 2011-07-05 20:36:42 UTC
[+] MUST: rpmlint must be run on every package
[+] MUST: The package must be named according to the Package Naming 
         Guidelines
[+] MUST: The spec file name must match the base package %{name} [...]
[-] MUST: The package must meet the Packaging Guidelines
* Uses INSTALLED_FILES -- See first <!> in https://fedoraproject.org/wiki/Packaging:Python#Byte_compiling . Please use file globbing. I know that VMDKstream doesn't have any directories, but this is still unsafe and non-future-proof, imo.

[+] MUST: The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines
[+] MUST: The License field in the package spec file must match the 
         actual license
[n/a] MUST: If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[n/a] MUST: The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.
[+] MUST: The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture
[n/a] MUST: If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the 
         spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
         have a bug filed in bugzilla, describing the reason that the package 
         does not compile/build/work on that architecture. The bug number MUST 
         be placed in a comment, next to the corresponding ExcludeArch line
[+] MUST: All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines ; inclusion of those as BuildRequires is optional. Apply 
         common sense.
[n/a] MUST: The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden
[n/a] MUST: Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun.
[n/a] MUST: If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without 
         this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files 
         listing.
[+] MUST: Permissions on files must be set properly. Executables should 
         be set with executable permissions, for example. Every %files section 
         must include a %defattr(...) line.
[+] MUST: Each package must have a %clean section, which contains rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[+] MUST: Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).
[n/a] MUST: If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.
[n/a] MUST: Header files must be in a -devel package.
[n/a] MUST: Static libraries must be in a -static package.
[n/a] MUST: Packages containing pkgconfig(.pc) files must 'Requires: 
         pkgconfig' (for directory ownership and usability).
[n/a] MUST: If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package.
[n/a] MUST: In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name} =
         %{version}-%{release}
[n/a] MUST: Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built.
[n/a] MUST: Packages containing GUI applications must include a
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put 
         a comment in the spec file with your explanation.
[n/a] MUST: Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to 
         be installed should own the files or directories that other packages 
         may rely upon. This means, for example, that no package in Fedora 
         should ever share ownership with any of the files or directories 
         owned by the filesystem or man package. If you feel that you have a 
         good reason to own a file or directory that another package owns, 
         then please present that at package review time.
[-] MUST: At the beginning of %install, each package MUST run rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).
* Pretty straightforward
[+] MUST: All filenames in rpm packages must be valid UTF-8.

Two minor things, but easy enough to fix, imo.

Comment 3 Chris Lalancette 2011-07-06 14:30:07 UTC
I fixed both of the minor issues and uploaded the packages to the same place.  Can you take a look?

Thanks,
Chris Lalancette

Comment 4 Ryan Rix 2011-07-06 17:03:03 UTC
WORKSFORME! Minor nag, mixing usage of %{buildroot} and $RPM_BUILD_ROOT, but that's a personal gripe and I'm not going to block on it. ;)

APPROVED

Comment 5 Chris Lalancette 2011-07-06 17:44:53 UTC
Thanks.  I'll open up the SCM request.

Comment 6 Chris Lalancette 2011-07-06 17:46:38 UTC
New Package SCM Request
=======================
Package Name: VMDKstream
Short Description: Python tool to convert raw disk images to stream-optimized VMDK files
Owners: clalance imcleod
Branches:
InitialCC:

Comment 7 Gwyn Ciesla 2011-07-07 10:13:35 UTC
Git done (by process-git-requests).

imcleod not added, not in Packagers group.

Comment 8 Chris Lalancette 2011-09-21 18:11:11 UTC
New Package SCM Request
=======================
Package Name: VMDKstream
Short Description: Python tool to convert raw disk images to stream-optimized
VMDK files
Owners: clalance
Branches: f15
InitialCC:

Comment 9 Chris Lalancette 2011-09-21 18:13:42 UTC
Gah, sorry.  That should be a Package Change Request:

Package Change Request
======================
Package Name: VMDKstream
New Branches: f15
Owners: clalance
InitialCC:

Comment 10 Gwyn Ciesla 2011-09-24 15:27:43 UTC
Git done (by process-git-requests).

Comment 11 Ian McLeod 2013-08-29 19:24:38 UTC
Package Change Request
======================
Package Name: VMDKstream
New Branches: el6
Owners: imcleod

Comment 12 Gwyn Ciesla 2013-08-30 00:03:48 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.